import extend from 'extend'
export default {

  // 设置报账信息-归属公司
  setCompanys(state, companys = []) {
    state.companys = companys;
    for(let item of companys) {
      state.companyMap[item.companyCode] = item.ouName;
    }
  },

  // 报账信息-资金计划
  setMoneyPlans(state, moneyPlans = []) {
    state.moneyPlans = moneyPlans;
    for(let item of moneyPlans) {
      state.moneyPlanMap[item.vsiKey] = item.vsiValue;
    }
  },

  // 报账信息-付款方式
  setPayMentTypes(state, payMentTypes = []) {
    state.payMentTypes = payMentTypes;
    for(let item of payMentTypes) {
      state.payMentTypeMap[item.vsiKey] = item.vsiValue;
    }
  },

  // 报账信息-附加凭证编号
  setCertificateNos(state, certificateNos = []) {
    state.certificateNos = certificateNos;
    for(let item of certificateNos) {
      state.certificateNoMap[item.vsiKey] = item.vsiValue;
    }
  },


  // 设置币种
  setCurrencys(state, currencys = []) {
    state.currencys = currencys;
    for(let item of currencys) {
      state.currencyMap[item.vsiKey] = item.vsiValue;
    }
  },

  // 设置报账明细-业务小类
  setSubBusinessTypes(state, subBusinessTypes = []) {
    state.subBusinessTypes = subBusinessTypes;
    for(let item of subBusinessTypes) {
      state.subBusinessMap[item.subCategoryCode] = item.subCategoryName
    }
  },
}