import extend from 'extend'
import baseProcessState from '@/tools/baseProcessState'
let state = {

  // 基本信息
  basicInfo:  {
    claimNo: '',
    empNo: '',
    isDaibao: 'false',
    applEmpCode: '',
    applEmpName: '',
    applOrgDept: '',
    applOrgDeptName: '',
    applOrgCompany: '',
    applOrgCompanyName: '',
    applDate: '',
    applPhone: '',
    applEmail: '',
    applJobCode: '',
    applJobName: '',
  },     

  // 报账信息
  reimburseInfo: {
    claimId: '',
    procInstId: '',// todo...
    hasContract: '',
    contractName: '',
    contractAmount: '',
    contractNo: '',
    ouName: '',
    ouCode: '',
    categoryCode: '',
    categoryName: '',
    paymentMode: '',
    currency: 'CNY',
    attachNum: '',
    capitalPlan: '',
    vendorCode: '',
    vendorName: '',
    vendorType: 'VENDOR',
    vendorSiteName: '',
    certificateNo: '',
    glDate: '',
    attachmentAmount: '',
    remark: '',
  },       

  // 金额信息
  moneyInfo: {
    claimAmount: '--',// 报账总金额
    priceAmount: '--',// 价款
    taxAmount: '--',// 税款
    currentWriteOffAmount: '--',// 当前核销金额
    deductAmount: '--',// 扣费金额
    paymentAmount: '--',// 付款计划金额
    thisTimePayAmount: '--',// 本次付款金额
    borrowingBalance: '--',// 累计借款余额
  },
}
export default extend(true, state, baseProcessState);