import { debug } from "util";

export default {
  // 我的报账单-草稿table数据
  DraftTableDatasTableDatas: function ({ commit }, param) {

    return new Promise((resolve) => {

      $axios.post(`${process.env.API.claimURL}/MyClaim/getMyDraftClaim`, param).then((response) => {

        resolve(response);
      }).catch((error) => {
        console.log(error)
        var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },
  // 我的报账单-已提交table数据
  SubmissionTableDatas: function ({ commit }, param) {

    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/MyClaim/getMySubmitClaim`, param).then((response) => {

        resolve(response);
      }).catch((error) => {
        console.log(error)
        var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },
  // 我的报账单-作废table数据 
  TovoidTableDatas: function ({ commit }, param) {

    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/MyClaim/getMyInvalidClaim`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        console.log(error)
        var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },

  // 我的报账单-请求归属公司列表 
  GetSearchingListData: function ({ commit }, param) {

    return new Promise((resolve) => {
      // emsBaseDataURL
      $axios.post(`${process.env.API.claimURL}/mdOu/findAllMdOuList`, param).then((response) => {

        resolve(response);
      }).catch((error) => {
        console.log(error)
        var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },
  // 我的报账单-请求流程状态数据
  GetProcessStateListData: function ({ commit }, param) {

    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/MyClaim/getMyInvalidClaim`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        console.log(error)
        var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
        resolve(responseData);
      })
    })
  },
  // // 删除草稿单接口
  // DeletedDraftTableDatas: function ({ commit }, param) {
  //   return new Promise((resolve) => {
  //     $axios.post(`${process.env.API.claimURL}/MyClaim/delDraftClaim`, param).then((response) => {
  //      
  //       resolve(response);
  //     }).catch((error) => {
  //       console.log(error)
  //       var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
  //       resolve(responseData);
  //     })
  //   })
  // },
  //删除草稿单接口
  DeletedDraftTableDatas: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.claimURL}/MyClaim/delDraftClaim/?claimId=` + param, {}).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },

  // 根据报账单号查询流程信息
  QueryProcessInfoByClaimNo: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.pscURL}/claimProcessTaskMgr/myclaimhisbyclaimno?claimNo=${param.claimNo}`, {}).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
}
