export default {
  // 根据值集代码查询
  QueryValueSetByCode: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.get(`${process.env.API.baseURL}/sys/valueset/item/list/${param.code}`).then((response) => {
        let result = [];
        for (let item of response.data.dataResult) {
          result.push({ label: item.vsiValue, value: item.vsiKey });
        }
        resolve(result);
      })
    })
  },

  // 根据值集代码、父级值key查询
  QueryValueSetByCodeAndParentKey: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.get(`${process.env.API.baseURL}/sys/valueset/item/list/${param.code}/${param.parentKey}`).then((response) => {
        resolve(response.data);
      })
    })
  },
}
