export default {
  // //新增明细
  // InsertDetail: function ({ commit }, param) {
  //   return new Promise((resolve) => {
  //     $axios.post(`/${process.env.API.emsBaseDataURL}/mdCostCenter/findPageBySecurity`, param).then((response) => {
  //       resolve(response);
  //     })
  //       .catch((error) => {
  //         console.log(error)
  //         var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
  //         resolve(responseData);
  //       })
  //   })
  // },
  // 获取成本中心
  GetCostCenter: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.emsBaseDataURL}/mdCostCenter/findPageBySecurity`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  // 获取相关
  GetRelated: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.emsBaseDataURL}/coa/findPageForRelative`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  
  // 获取科目
  GetAccountItem: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.emsBaseDataURL}/account/findPageBySecurity`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  // 获取产品
  GetProducts: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.emsBaseDataURL}/coa/findPageForProduct`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  // 获取地区
  GetArea: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.emsBaseDataURL}/coa/findPageForArea`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  // 获取SMU
  GetSBU: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.emsBaseDataURL}/coa/findPageForSpecial`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  // 获取增减变动
  GetZjChangeDes: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`/${process.env.API.emsBaseDataURL}/coa/findPageForMovg`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {
          console.log(error)
          var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
          resolve(responseData);
        })
    })
  },
  

}
